/*!***************************************************
* advanced-mark.js v2.5.0
* Copyright (c) 2014–2024, Julian Kühnel
* Released under the MIT license https://git.io/vwTVl
* Modified by angezid
*****************************************************/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):(e="undefined"!=typeof globalThis?globalThis:e||self).RegExpCreator=t()}(this,(function(){"use strict";function e(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,(i=n.key,a=void 0,"symbol"==typeof(a=function(e,t){if("object"!=typeof e||null===e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,t||"default");if("object"!=typeof n)return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===t?String:Number)(e)}(i,"string"))?a:String(a)),n)}var i,a}function t(){return t=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},t.apply(this,arguments)}var r=function(){function r(e){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,r),this.opt=t({},{diacritics:!0,synonyms:{},accuracy:"partially",caseSensitive:!1,ignoreJoiners:!1,ignorePunctuation:[],wildcards:"disabled"},e)}var n,i,a;return n=r,(i=[{key:"chars",get:function(){var e=this;return this._chars||(this._chars=[],["aàáảãạăằắẳẵặâầấẩẫậäåāą","cçćč","dđď","eèéẻẽẹêềếểễệëěēę","iìíỉĩịîïī","lł","nñňń","oòóỏõọôồốổỗộơởỡớờợöøōő","rř","sšśșş","tťțţ","uùúủũụưừứửữựûüůūű","yýỳỷỹỵÿ","zžżź"].forEach((function(t){e._chars.push(t,t.toUpperCase())}))),this._chars}},{key:"create",value:function(e,t){var r="g"+(this.opt.caseSensitive?"":"i");e=this.checkWildcardsEscape(e),e=this.createSynonyms(e,r);var n=this.getJoinersPunctuation();n&&(e=this.setupIgnoreJoiners(e)),this.opt.diacritics&&(e=this.createDiacritics(e)),e=e.replace(/\s+/g,"[\\s]+"),n&&(e=this.createJoiners(e,n)),"disabled"!==this.opt.wildcards&&(e=this.createWildcards(e));var i=this.createAccuracy(e);return t?i:new RegExp("".concat(i.lookbehind,"(").concat(i.pattern,")").concat(i.lookahead),r)}},{key:"createCombinePattern",value:function(e,t){var r=this;if(!Array.isArray(e)||!e.length)return null;var n=t?"(":"(?:",i=this.create(e[0],!0);return i.pattern=this.distinct(e.map((function(e){return"".concat(n).concat(r.create(e,!0).pattern,")")}))).join("|"),i}},{key:"sortByLength",value:function(e){return e.sort((function(e,t){return e.length===t.length?e>t?1:-1:t.length-e.length}))}},{key:"escape",value:function(e){return e.replace(/[[\]/{}()*+?.\\^$|]/g,"\\$&")}},{key:"preprocess",value:function(e){return e&&e.length?this.distinct("string"==typeof e?e.split(""):e).join("").replace(/[-^\]\\]/g,"\\$&"):""}},{key:"distinct",value:function(e){var t=[];return e.forEach((function(e){e.trim()&&-1===t.indexOf(e)&&t.push(e)})),t}},{key:"createSynonyms",value:function(e,t){var r=this,n=this.opt.synonyms;if(!Object.keys(n).length)return e;for(var i in n)if(n.hasOwnProperty(i)){var a=Array.isArray(n[i])?n[i]:[n[i]];if(a.unshift(i),(a=this.sortByLength(this.distinct(a)).map((function(e){return r.checkWildcardsEscape(e)}))).length>1){var c=a.map((function(e){return r.escape(e)})).join("|");e=e.replace(new RegExp(c,t),"(?:".concat(a.join("|"),")"))}}return e}},{key:"checkWildcardsEscape",value:function(e){return"disabled"!==this.opt.wildcards&&(e=e.replace(/(\\.)+|[?*]/g,(function(e,t){return t?e:"?"===e?"":""})).replace(/\\+(?=[?*\x01\x02])/g,(function(e){return e.slice(1)}))),this.escape(e)}},{key:"createWildcards",value:function(e){var t="withSpaces"===this.opt.wildcards,r=this.opt.blockElementsBoundary,n="[^".concat(t&&r?"":"","]*?");return e.replace(/\x01/g,t?"[^]?":"\\S?").replace(/\x02/g,t?n:"\\S*")}},{key:"setupIgnoreJoiners",value:function(e){return e.replace(/((?:\\\\)+|\x02|\(\?:|\|)|\\?(?:[\uD800-\uDBFF][\uDC00-\uDFFF]|.)(?=([|)\x02]|$)|.)/g,(function(e,t,r){return t||void 0!==r?e:e+"\0"}))}},{key:"createJoiners",value:function(e,t){return e.split(/\x00+/).join("[".concat(t,"]*"))}},{key:"getJoinersPunctuation",value:function(){var e=this.preprocess(this.opt.ignorePunctuation),t=e||"";return this.opt.ignoreJoiners&&(t+="\\u00ad\\u200b\\u200c\\u200d"),t}},{key:"createDiacritics",value:function(e){var t=this,r=this.chars;return e.split("").map((function(e){for(var n=0;n<r.length;n+=2){var i=-1!==r[n].indexOf(e);if(t.opt.caseSensitive){if(i)return"["+r[n]+"]";if(-1!==r[n+1].indexOf(e))return"["+r[n+1]+"]"}else if(i||-1!==r[n+1].indexOf(e))return"["+r[n]+r[n+1]+"]"}return e})).join("")}},{key:"createAccuracy",value:function(e){var t,r=this.opt.accuracy,n="()",i=e,a="";if("string"!=typeof r&&(t=this.preprocess(r.limiters),r=r.value),"exactly"===r){var c=t?"[\\s"+t+"]":"\\s";n="(^|".concat(c,")"),a="(?=$|".concat(c,")")}else{var o=t||"!-/:-@[-`{-~¡¿",s="[^\\s".concat(o,"]*");"complementary"===r?i=s+e+s:"startsWith"===r&&(n="(^|[\\s".concat(o,"])"),i=e.split(/\[\\s\]\+/g).join(s+"[\\s]+")+s)}return{lookbehind:n,pattern:i,lookahead:a}}}])&&e(n.prototype,i),a&&e(n,a),Object.defineProperty(n,"prototype",{writable:!1}),r}();return function(e){var t=new r(e);this.create=function(e,r){return t.create(e,r)},this.createCombinePattern=function(e,r){return t.createCombinePattern(e,r)},this.createDiacritics=function(e){return t.createDiacritics(e)}}}));
